curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/migration' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"current": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stage": "string",
"routing_mode": "string",
"canary_percent": 8,
"target_config_version": 1,
"rollback_config_version": 1,
"notes": "Two-person tent, green — replacement for damaged pole set.",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
},
"history": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stage": "string",
"routing_mode": "string",
"canary_percent": 8,
"target_config_version": 1,
"rollback_config_version": 1,
"notes": "Two-person tent, green — replacement for damaged pole set.",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Get brand migration state
Current migration state and history.
GET
/
v1
/
brands
/
{brand_id}
/
migration
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/migration' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"current": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stage": "string",
"routing_mode": "string",
"canary_percent": 8,
"target_config_version": 1,
"rollback_config_version": 1,
"notes": "Two-person tent, green — replacement for damaged pole set.",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
},
"history": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stage": "string",
"routing_mode": "string",
"canary_percent": 8,
"target_config_version": 1,
"rollback_config_version": 1,
"notes": "Two-person tent, green — replacement for damaged pole set.",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Path parameters
string (uuid)
required
Response
object
object
required
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Current migration state and history. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/migration' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"current": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stage": "string",
"routing_mode": "string",
"canary_percent": 8,
"target_config_version": 1,
"rollback_config_version": 1,
"notes": "Two-person tent, green — replacement for damaged pole set.",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
},
"history": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stage": "string",
"routing_mode": "string",
"canary_percent": 8,
"target_config_version": 1,
"rollback_config_version": 1,
"notes": "Two-person tent, green — replacement for damaged pole set.",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Last modified on August 31, 2026